Anonymous Login
2018-11-12 20:49 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000242v1.2 Release (Closed)[All Projects] Generalpublic2009-12-08 19:07
Reportertrevormorse 
Assigned Tocaseydk 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 
Summary0000242: Display of server side validation
DescriptionSince we have added proper server side validation there is no way to properly display the server side validation results.

Ideally the software should display the error messages indicated by the server side validation while staying on the add/edit page for whichever module you are working in with the data fields still filled in. Optionally it would be nice if the trouble fields were highlighted somehow.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000565

caseydk (administrator)

The first half of this - simple display of the validation errors - is currently implemented in r742 as of this evening.

~0000566

caseydk (administrator)

I implemented the other half of this one in r745. Please review and let me know your thoughts on how it might work better, faster, etc.

~0000597

caseydk (administrator)

This one is complete, in addition, all objects now support the improved API.
+Notes

-Issue History
Date Modified Username Field Change
2009-08-29 10:05 trevormorse New Issue
2009-09-15 09:13 caseydk Project Pending Requests => v1.2 Release (Closed)
2009-11-07 19:29 caseydk Note Added: 0000565
2009-11-07 21:05 caseydk Note Added: 0000566
2009-11-09 21:52 caseydk Status new => assigned
2009-11-09 21:52 caseydk Assigned To => caseydk
2009-11-17 20:42 caseydk Priority normal => high
2009-11-22 23:05 caseydk Status assigned => resolved
2009-11-22 23:05 caseydk Resolution open => fixed
2009-11-22 23:05 caseydk Note Added: 0000597
2009-12-08 19:07 caseydk Status resolved => closed
2009-12-08 19:07 caseydk Fixed in Version => 1.2
+Issue History